<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title>Bootstrap - Prebuilt Layout</title>
    <!-- Bootstrap -->
    <link href="../../static/css/bootstrap.css" rel="stylesheet" th:href="@{/css/bootstrap.css}"/>
</head>

<body>
<div th:include="administratorView/fragments::navigation"></div>

<div class="container" style="margin-top: 2%">
    <legend>Ajouter un livre</legend>

    <form class="form-horizontal" method="post" th:action="@{/ouvrage/save}" th:object="${ouvrage}">
        <div class="row">
            <div class="col-md-4 col-md-offset-1">

                <input type="hidden" class="form-control" name="id" id="id"
                       th:field="*{id}"/>

                <div class="form-group">
                    <label for="image">Photo</label>
                    <input type="file" accept="image/jpeg" class="form-control" name="Photo" id="image"
                           th:field="*{image}"/>
                </div>

                <div class="form-group">
                    <label for="titre">Titre</label>
                    <input type="text" class="form-control" id="titre" placeholder="Entrez le titre de l'ouvrage"
                           th:field="*{titre}"/>

                    <p th:if="${#fields.hasErrors('titre')}" th:errors="*{titre}"></p>
                </div>

                <div class="form-group">
                    <label for="isbn">ISBN</label>
                    <input type="text" class="form-control" id="isbn" placeholder="Entrez l'ISBN de l'ouvrage"
                           th:field="*{isbn}"/>

                    <p th:if="${#fields.hasErrors('isbn')}" th:errors="*{isbn}"></p>
                </div>

                <div class="form-group">
                    <label for="dateParution">Date parution</label>
                    <input type="text" class="form-control" id="dateParution"
                           placeholder="Entrez la date de parution de l'ouvrage dd-MM-yy" th:field="*{dateParution}"/>

                    <p th:if="${#fields.hasErrors('dateParution')}" th:errors="*{dateParution}"></p>
                </div>

                <div class="form-group">
                    <label for="quantite">Quantité disponible</label>
                    <input type="text" class="form-control" id="quantite" placeholder="Entrez la quantité disponible"
                           th:field="*{quantiteDispo}"/>

                    <p th:if="${#fields.hasErrors('quantiteDispo')}" th:errors="*{quantiteDispo}"></p>
                </div>

                <div class="form-group">
                    <label for="quantite">Prix unitaire</label>
                    <input type="text" class="form-control" id="prix" placeholder="Entrez le prix unitaire"
                           th:field="*{prix}"/>

                    <p th:if="${#fields.hasErrors('prix')}" th:errors="*{prix}"></p>
                </div>
            </div>
            <div class="col-md-5 col-md-offset-1">

                <div class="form-group">
                    <label for="dateParution">Table de matières</label>
                    <input type="file" class="form-control" id="tableDeMatiere" th:field="*{tableDeMatiere}"/>
                </div>

                <div class="form-group">
                    <label for="editeur">Editeur</label>
                    <input type="text" class="form-control" id="editeur"
                           placeholder="Entrez la maison d'édition de l'ouvrage" th:field="*{editeur}"/>

                    <p th:if="${#fields.hasErrors('editeur')}" th:errors="*{editeur}"></p>
                </div>

                <div class="form-group">
                    <label for="auteurs">Auteurs</label>
                    <input type="text" class="form-control" id="auteurs"
                           placeholder="Entrez les noms des auteurs de l'ouvrage séparés par de virgules"
                           th:field="*{auteurs}"/>

                    <p th:if="${#fields.hasErrors('auteurs')}" th:errors="*{auteurs}"></p>
                </div>

                <div class="form-group">
                    <label for="categories">Categories</label>
                    <input type="text" class="form-control" id="categories"
                           placeholder="Entrez les catégories de l'ouvrage séparés par de virgules"
                           th:field="*{categories}"/>

                    <p th:if="${#fields.hasErrors('categories')}" th:errors="*{categories}"></p>
                </div>

            </div>
        </div>
        <div class="row">
            <div class="col-md-8 col-md-offset-9">
                <button type="submit" class="btn btn-info" th:href="@{/ouvrage/save}">Confirmer</button>
                <button type="reset" class="btn btn-info">Annuler</button>
            </div>
        </div>
    </form>
</div>

<hr/>
<div th:include="administratorView/fragments::footer"></div>

<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="../../static/js/jquery-1.11.2.min.js" th:href="@{/js/jquery-1.11.2.min.js}"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="../../static/js/bootstrap.js" th:href="@{/js/bootstrap.js}"></script>
</body>
</html>